#
# uxyz01.rb
#
# $Id: uxyz01.rb,v 1.1 2000/11/23 08:19:16 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::grfrm

DCL::sgswnd(-180.0, +180.0, -90.0, +90.0)
DCL::sgsvpt(0.2, 0.8, 0.3, 0.7)
DCL::sgstrn(1)
DCL::sgstrf

DCL::uxaxdv('B', 10.0, 60.0)
DCL::uxaxdv('T', 10.0, 60.0)
DCL::uxsttl('B', 'LONGITUDE', 0.0)
DCL::uxsttl('B', '<- WEST      EAST ->', 0.0)

DCL::uyaxdv('L', 10.0, 30.0)
DCL::uyaxdv('R', 10.0, 30.0)
DCL::uysttl('L', 'LATITUDE', 0.0)
DCL::uysttl('L', '<- SH    NH ->', 0.0)

DCL::uxmttl('T', 'UXAXDV/UYAXDV', 0.0)

DCL::grcls

